# Common arguments

This page provides translations of commonly used arguments to simplify maintaining pages in foreign languages.\
The best way to edit this file is by using [tableconvert.com](https://tableconvert.com/).\
There, the old table can be **imported**, **edited** in a WYSIWYG editor and **exported** again.\
Only the left-alignment of the header gets lost and has to be re-added again (`|----` → `|:---`).

> [!NOTE]
> Placeholders in Arabian (`ar`) and Farsi (`fa`) pages shouldn't be translated to prevent flipped text when reading.

| en    | path/to/file          | path/to/directory        | path/to/file_or_directory            | package       | username           |
|-------|-----------------------|--------------------------|--------------------------------------|---------------|--------------------|
| bn    | পাথ/টু/ফাইল           | পাথ/টু/ডিরেক্টরি         | পথ/থেকে/ফাইল_অথবা_ডিরেক্টরি          | প্যাকেজ       | ইউজারনেম           |
| bs    | put/do/datoteke       | put/do/direktorija       | put/do/datoteke_ili_direktorija      | paket         | korisničko_ime     |
| ca    | camí/al/fitxer        | camí/al/directori        | camí/al/fitxer_o_directori           | paquet        | nom_usuari         |
| cs    | cesta/k/souboru       | cesta/k/adresari         | cesta/k/souboru_ci_adresari          | balíček       | jmeno_uzivatele    |
| da    | sti/til/fil           | sti/til/mappe            | sti/til/fil_eller_mappe              | pakke         | brugernavn         |
| de    | pfad/zu/datei         | pfad/zu/verzeichnis      | pfad/zu/datei_oder_verzeichnis       | paket         | benutzername       |
| es    | ruta/al/archivo       | ruta/al/directorio       | ruta/al/archivo_o_directorio         | paquete       | usuario            |
| fi    | polku/tiedostoon      | polku/hakemistoon        | polku/tiedostoon_vai_hakemistoon     | paketti       | tunnus             |
| fr    | chemin/vers/fichier   | chemin/vers/dossier      | chemin/vers/fichier_ou_dossier       | paquet        | nom_d_utilisateur  |
| hi    | फ़ाइल/का/पथ           | निर्देशिका/का/पथ         | फ़ाइल_या_निर्देशिका/का/पथ            | पैकेज         | उपयोगकर्ता_नाम     |
| id    | jalan/menuju/berkas   | jalan/menuju/direktori   | jalan/menuju/berkas_atau_direktori   | paket         | nama_pengguna      |
| it    | percorso/del/file     | percorso/della/directory | percorso/del/file_o_directory        | pacchetto     | nome_utente        |
| ja    | ファイルパス                | ディレクトリパス                 | ファイルパスまたはディレクトリパス                    | パッケージ         | ユーザー名              |
| ko    | 경로/대상/파일              | 경로/대상/폴더                 | 경로/대상/파일_또는_폴더                       | 패키지           | 사용자 명              |
| ml    | ഫയലിലേക്കുള്ള/പാത     | ഡയറക്ടറിയിലേക്കുള്ള/പാത  | ഫയലിലേക്കോ_ഡയറക്ടറിയിലേക്കോ/ഉള്ള/പാത | പാക്കേജ്      | ഉപയോക്തൃനാമം       |
| ne    | फाइल/को/पथ            | निर्देशिका/को/पथ         | फाइल_वा_निर्देशिका/को/पथ             | प्याकेज       | प्रयोगकर्ता_नाम    |
| nl    | pad/naar/bestand      | pad/naar/map             | pad/naar/bestand_of_map              | pakket        | gebruikersnaam     |
| no    | sti/til/fil           | sti/til/katalog          | sti/til/fil_eller_katalog            | pakke         | brukernavn         |
| pl    | ścieżka/do/pliku      | ścieżka/do/katalogu      | ścieżka/do/pliku_lub_katalogu        | pakiet        | nazwa_użytkownika  |
| pt_BR | caminho/para/arquivo  | caminho/para/diretorio   | caminho/para/arquivo_ou_diretorio    | pacote        | nome_do_usuario    |
| pt_PT | caminho/para/ficheiro | caminho/para/diretório   | caminho/para/ficheiro_ou_diretório   | pacote        | nome_de_utilizador |
| ro    | cale/către/fișier     | cale/către/director      | cale/către/fișier_sau_director       | pachet        | nume_utilizator    |
| ru    | путь/до/файла         | путь/до/папки            | путь/до/файла_или_папки              | пакет         | имя_пользователя   |
| sh    | put/do/datoteke       | put/do/direktorija       | put/do/datoteke_ili_direktorija      | paket         | korisničko_ime     |
| sr    | put/do/datoteke       | put/do/direktorijuma     | put/do/datoteke_ili_direktorijuma    | paket         | korisničko_ime     |
| sv    | sökväg/till/fil       | sökväg/till/katalog      | sökväg/till/fil_eller_katalog        | paket         | användarnamn       |
| ta    | கோப்பு/பாதை           | அடைவிற்குப்/பாதை         | கோப்பு_அல்லது_அடைவு/பாதை             | நிரல்தொகுப்பு | பயனர்ப்பெயர்       |
| th    | ทาง/ไป/ไฟล์           | ทาง/ไป/สารบบ             | ทาง/ไป/สารบบหรือไฟล์                 | แพคเกจ        | ชื่อผู้ใช้         |
| tr    | dosya/yolu            | dizin/yolu               | dosya_veya_dizin/yolu                | paket         | kullanıcı_adı      |
| uk    | шлях/до/файлу         | шлях/до/директорії       | шлях/до/файлу_чи_директорії          | пакунок       | ім'я_користувача   |
| uz    | faylga/yo'l           | katalogga/yo'l           | faylga_yo'l_yoki_katalogga_yo'l      | paket         | foydalanuvchi_nomi |
| zh    | 路径/到/文件               | 路径/到/目录                  | 路径/到/文件或目录                           | 包             | 用户名                |
| zh_TW | 檔案/完整/路徑              | 目錄/完整/路徑                 | 檔案或目錄/完整/路徑                          | 套件            | 使用者名稱              |
