# acme.sh

> Shell script implementando el protocolo cliente ACME, una alternativa a `certbot`.
> Vea también `acme.sh dns`.
> Más información: <https://github.com/acmesh-official/acme.sh>.

- Emite un certificado usando el modo webroot:

`acme.sh --issue --domain {{ejemplo.com}} --webroot {{ruta/al/webroot}}`

- Emite un certificado para múltiples dominios utilizando el modo autónomo a través del puerto 80:

`acme.sh --issue --standalone --domain {{ejemplo.com}} --domain {{www.ejemplo.com}}`

- Emite un certificado en modo autónomo TLS utilizando el puerto 443:

`acme.sh --issue --alpn --domain {{ejemplo.com}}`

- Emite un certificado utilizando una configuración de Nginx operativa:

`acme.sh --issue --nginx --domain {{ejemplo.com}}`

- Emite un certificado utilizando una configuración de Apache operativa:

`acme.sh --issue --apache --domain {{ejemplo.com}}`

- Emite un certificado comodín (\*) utilizando un modo API DNS automático:

`acme.sh --issue --dns {{dns_cf}} --domain {{*.ejemplo.com}}`

- Instala archivos de certificado en las ubicaciones especificadas (útil para la renovación automática de certificados):

`acme.sh --install-cert -d {{ejemplo.com}} --key-file {{ruta/al/ejemplo.com.key}} --fullchain-file {{ruta/al/ejemplo.com.cer}} --reloadcmd "{{systemctl force-reload nginx}}"`
