# 7z

> Un archiveur de fichiers avec un haut taux de compression.
> Plus d'informations : <https://manned.org/7z>.

- Compresse un fichier ou un dossier :

`7z a {{archive.7z}} {{chemin/vers/fichier_ou_dossier}}`

- Chiffre une archive existante (en incluant les en-têtes) :

`7z a {{archive_chiffree.7z}} -p{{motdepasse}} -mhe=on {{archive.7z}}`

- Extrait un fichier 7z existant en conservant l'arborescence des fichiers :

`7z x {{archive.7z}}`

- Extrait une archive vers la destination donnée :

`7z x {{archive.7z}} -o{{chemin/vers/destination}}`

- Extrait une archive vers la sortie standard :

`7z x {{archive.7z}} -so`

- Archive en utilisant un algorithme de compression particulier :

`7z a -t{{7z|bzip2|gzip|lzip|tar|zip}} {{archive}} {{chemin/vers/fichier_ou_dossier}}`

- Liste le contenu d'une archive :

`7z l {{archive.7z}}`

- Définit le niveau de compression (plus il est élevé, plus la compression est importante, mais plus elle est lente) :

`7z a {{archive.7z}} -mx={{0|1|3|5|7|9}} {{chemin/vers/fichier_ou_dossier}}`
