# go

> Go のソースコードを管理します。
> `build` のようないくつかのサブコマンドには、使用方法についての独自のドキュメントがあります。
> もっと詳しく: <https://golang.org>。

- インポートパスで指定されたパッケージを、ダウンロードしてインストール:

`go get {{パッケージパス}}`

- ソースファイルをコンパイルして実行 (`main`パッケージを含む必要がある):

`go run {{file}}.go`

- ソースファイルをコンパイルして実行ファイルにする:

`go build -o {{実行ファイル名}} {{file}}.go`

- 現在のディレクトリにあるパッケージをコンパイル:

`go build`

- 現在のパッケージの全てのテストケースを実行 (ファイル名の末尾は `_test.go` でなければならない):

`go test`

- 現在のパッケージをコンパイルしてインストール:

`go install`

- 現在のディレクトリで新しいモジュールを初期化:

`go mod init {{モジュール名}}`
