# nvim

> Neovim은 Vim을 기반으로 한 프로그래머용 텍스트 편집기로, 다양한 텍스트 조작을 위한 여러 모드를 제공합니다.
> 일반 모드에서 `i`를 누르면 입력 모드로 전환됩니다. `<Esc>`를 누르면 일반 모드로 돌아가며, 일반 텍스트 입력이 허용되지 않습니다.
> 같이 보기: `vim`, `vimtutor`, `vimdiff`.
> 더 많은 정보: <https://neovim.io>.

- 파일 열기:

`nvim {{경로/대상/파일}}`

- 텍스트 편집 모드(입력 모드)로 전환:

`<Esc>i`

- 현재 줄을 복사("yank") 또는 잘라내기("delete") (붙여넣기는 `P`로 수행):

`<Esc>{{yy|dd}}`

- 일반 모드로 전환하고 마지막 작업을 실행 취소:

`<Esc>u`

- 파일에서 패턴 검색 (다음/이전 일치 항목으로 이동하려면 `n`/`N`을 누름):

`<Esc>/{{검색_패턴}}<Enter>`

- 전체 파일에서 정규 표현식을 이용한 치환 수행:

`<Esc>:%s/{{정규_표현식}}/{{대체_문자열}}/g<Enter>`

- 일반 모드로 전환하고 파일을 저장(쓰기) 후 종료:

`{{<Esc>ZZ|<Esc>:x<Enter>|<Esc>:wq<Enter>}}`

- 저장하지 않고 종료:

`<Esc>:q!<Enter>`
