# phpcs

> PHP, JavaScript 및 CSS 파일을 토큰화하여 정의된 코딩 표준 세트의 위반 사항을 감지합니다.
> 더 많은 정보: <https://github.com/squizlabs/PHP_CodeSniffer>.

- 지정된 디렉터리를 검사하여 문제 탐지 (기본값은 PEAR 표준):

`phpcs {{경로/대상/폴더}}`

- 설치된 코딩 표준 목록 표시:

`phpcs -i`

- 검증할 코딩 표준 지정:

`phpcs {{경로/대상/폴더}} --standard {{표준}}`

- 검사 시 포함할 확장자를 쉼표로 구분하여 지정:

`phpcs {{경로/대상/폴더}} --extensions {{파일_확장자1,파일_확장자2,...}}`

- 출력 보고서 형식 지정 (예: `full`, `xml`, `json`, `summary`):

`phpcs {{경로/대상/폴더}} --report {{형식}}`

- 프로세스 중 사용할 설정 변수 설정:

`phpcs {{경로/대상/폴더}} --config-set {{키}} {{값}}`

- 처리 전에 로드할 파일의 쉼표로 구분된 목록:

`phpcs {{경로/대상/폴더}} --bootstrap {{경로/대상/파일1,경로/대상/파일2,...}}`

- 하위 디렉토리로 재귀 탐색하지 않음:

`phpcs {{경로/대상/폴더}} -l`
