# svgo

> SVG Optimizer: Scalable Vector Graphics 파일 최적화 도구. Node.js 기반.
> 개별적으로 토글할 수 있는 일련의 변환 규칙(플러그인)을 적용합니다.
> 더 많은 정보: <https://github.com/svg/svgo>.

- 기본 플러그인을 사용하여 파일 최적화 (원본 파일을 덮어씁니다):

`svgo {{테스트.svg}}`

- 파일을 최적화하고 결과를 다른 파일에 저장:

`svgo {{테스트.svg}} -o {{테스트.min.svg}}`

- 디렉토리 내 모든 SVG 파일 최적화 (원본 파일을 덮어씁니다):

`svgo -f {{경로/대상/폴더/안의/svg/파일들}}`

- 디렉토리 내 모든 SVG 파일을 최적화하고 결과 파일을 다른 디렉토리에 저장:

`svgo -f {{입력/디렉토리/경로}} -o {{출력/디렉토리/경로}}`

- 다른 명령에서 전달된 SVG 콘텐츠를 최적화하고 결과를 파일에 저장:

`{{cat 테스트.svg}} | svgo -i - -o {{테스트.min.svg}}`

- 파일을 최적화하고 결과를 출력:

`svgo {{테스트.svg}} -o -`

- 사용 가능한 플러그인 보기:

`svgo --show-plugins`
