# cp

> 파일과 디렉터리를 복사합니다.
> 더 많은 정보: <https://www.gnu.org/software/coreutils/manual/html_node/cp-invocation.html>.

- 파일을 다른 위치로 복사:

`cp {{경로/대상/원본_파일.ext}} {{경로/대상/대상_파일.ext}}`

- 파일의 이름을 유지하면서 다른 디렉토리로 복사:

`cp {{경로/대상/원본_파일.ext}} {{경로/대상/대상_부모_디렉터리}}`

- 디렉터리의 내용을 재귀적으로 다른 위치로 복사 (대상이 존재하면, 디렉터리 안에 복사됨):

`cp -r {{경로/대상/원본_디렉터리}} {{경로/대상/대상_디렉터리}}`

- 디렉터리를 재귀적으로 복사하며, 자세히 모드로 파일이 복사되는 동안 표시:

`cp -vr {{경로/대상/원본_디렉터리}} {{경로/대상/대상_디렉터리}}`

- 여러 파일을 한 번에 디렉터리로 복사:

`cp -t {{경로/대상/목적_디렉터리}} {{경로/대상/파일1 경로/대상/파일2 ...}}`

- 특정 확장자를 가진 모든 파일을 대화형 모드로 다른 위치에 복사 (덮어쓰기 전에 사용자에게 확인 요청):

`cp -i {{*.ext}} {{경로/대상/대상_디렉터리}}`

- 심볼릭 링크를 복사하기 전에 따라가기:

`cp -L {{링크}} {{경로/대상/대상_디렉터리}}`

- 소스 파일의 전체 경로를 사용하여, 복사할 때 누락된 중간 디렉터리를 생성:

`cp --parents {{소스/경로/대상/파일}} {{경로/대상/대상_파일}}`
