# duperemove

> 중복 파일 시스템 익스텐트를 찾아 중복 제거를 예약합니다.
> 익스텐트는 파일 시스템 내 파일의 작은 부분입니다.
> 일부 파일 시스템에서는 파일의 내용이 동일할 경우 하나의 익스텐트를 여러 번 참조할 수 있습니다.
> 더 많은 정보: <https://markfasheh.github.io/duperemove/>.

- 디렉토리에서 중복 익스텐트를 검색하고 표시:

`duperemove -r {{경로/대상/폴더}}`

- Btrfs 또는 XFS(실험적) 파일 시스템에서 중복 익스텐트를 중복 제거:

`duperemove -r -d {{경로/대상/폴더}}`

- 해시 파일을 사용하여 익스텐트 해시를 저장 (메모리 사용량 감소 및 이후 실행에서 재사용 가능):

`duperemove -r -d --hashfile={{경로/대상/해시파일}} {{경로/대상/폴더}}`

- I/O 스레드(해싱 및 중복 제거 단계) 및 CPU 스레드(중복 익스텐트 찾기 단계) 제한:

`duperemove -r -d --hashfile={{경로/대상/해시파일}} --io-threads={{N}} --cpu-threads={{N}} {{경로/대상/폴더}}`
